package org.springblade.workorder.deviceorder.feign;

import org.springblade.core.tool.api.R;
import org.springblade.workorder.deviceorder.dto.DeviceOrderDTO;
import org.springblade.workorder.deviceorder.entity.DeviceOrder;
import org.springblade.workorder.deviceorder.vo.DeviceOrderStatisticsVO;
import org.springblade.workorder.deviceorder.vo.DeviceOrderVO;
import org.springframework.stereotype.Component;
import org.springframework.transaction.reactive.AbstractReactiveTransactionManager;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;

@Component
public class DeviceOrderClientFallback implements IDeviceOrderClient {
            /**
         * 详情
         */
        @Override
        public DeviceOrderVO detail(DeviceOrder deviceOrder) {
            return null;
        }

        /**
         * 查询 设备工单
         */
        @Override
        public List<DeviceOrderVO> list(DeviceOrder deviceOrder) {
            return null;
        }



        /**
         * 新增 设备工单
         */
        @Override
        public boolean save( DeviceOrder deviceOrder) {
            return false;
        }

        /**
         * 修改 设备工单
         */
        @Override
        public boolean update( DeviceOrder deviceOrder) {
            return false;
        }

		/**
	 	* 新增或修改 设备工单
	 	*/
		@Override
		public R submit(@Valid DeviceOrderVO deviceOrder) { return null; }

        /**
         * 删除 设备工单
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

		@Override
		public List<DeviceOrder> getListByDeviceTypeList(DeviceOrderDTO deviceOrderDTO) {
			return new ArrayList<>();
		}

		@Override
		public R<DeviceOrderStatisticsVO> getDeviceJobStaticVo() {
			return null;
		}

}
